#
# Conditional build:
%bcond_without	tests		# build without tests

%define	vmod	cookie
Summary:	Cookie VMOD for Varnish
Name:		varnish-libvmod-%{vmod}
Version:	1.0
Release:	2
License:	BSD
Group:		Daemons
Source0:	https://github.com/lkarsten/libvmod-cookie/archive/libvmod-%{vmod}-%{version}.tar.gz
# Source0-md5:	cbd0f4c546d24896f0a1b81b4858621d
URL:		https://github.com/lkarsten/libvmod-cookie
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	python-docutils
BuildRequires:	varnish-source
%{?with_tests:BuildRequires:	varnish}
%requires_eq_to varnish varnish-source
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		vmoddir	%(pkg-config --variable=vmoddir varnishapi || echo ERROR)

%description
Cookie VMOD for Varnish.

%prep
%setup -qc
mv libvmod-%{vmod}-*/* .

%build
%{__aclocal} -I m4
%{__libtoolize}
%{__autoheader}
%{__automake}
%{__autoconf}

VARNISHSRC=$(pkg-config --variable=srcdir varnishapi)
%configure \
	VARNISHSRC=$VARNISHSRC \
	VMODDIR=%{vmoddir} \
	--disable-static

%{__make}
%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/varnish/vmods/libvmod_%{vmod}.la
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libvmod-%{vmod}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst LICENSE
%attr(755,root,root) %{vmoddir}/libvmod_%{vmod}.so
%{_mandir}/man3/vmod_%{vmod}.3*
%changelog
* Mon Apr 24 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/varnish-libvmod-cookie.git;a=log;h=auto/th/varnish-libvmod-cookie-1.0-2

* Mon Apr 24 2017 Elan Ruusamäe <glen@delfi.ee> 305eaca
- varnish 3.0.7 rebuild
- release 2 (by relup.sh)

* Mon Mar 24 2014 Elan Ruusamäe <glen@delfi.ee> bdac92a
- use 1.0 release tarball

* Sun Mar 23 2014 Elan Ruusamäe <glen@delfi.ee> 20d2842
- version 1.0 according to README

* Sun Mar 23 2014 Elan Ruusamäe <glen@delfi.ee> 6bd19f0
- disable static

* Sun Mar 23 2014 Elan Ruusamäe <glen@delfi.ee> 6d73b04
- use more macros

* Sun Mar 23 2014 Elan Ruusamäe <glen@delfi.ee> 24c7684
- new, version 0.1

